const char *mul_mfvf_vf_perf_rcsid = "$Header: /n/pho/da/krste/tools/phipac/mul_mfvf_vf/RCS/mul_mfvf_vf_perf.c,v 1.4 1995/07/05 23:33:50 krste Exp $";
/*
    Performance measurement for mul_mfvf_vf routine.
*/

#include <stddef.h>
#include <stdlib.h>
#include <stdio.h>

#include "rprf.h"

#include "fltvec.h"

extern void
php_mul_mfvf_vf(const size_t, const size_t,
                const float*, const float*, float*);

int
main(int argc, const char *argv[])
{
    size_t len = 1000;
    size_t rows;
    size_t cols;

    float *mat;
    float *invec;
    float *outvec;

    /* Just do square ones for now. */
    rprf_parse_args(argc, argv, "i", &len);
    rows = len;
    cols = len;

    /* Allocate and initialize. */
    mat = rprf_malloc_vf(rows*cols);
    copy_f_vf(rows*cols, 1.0f, mat);

    invec = rprf_malloc_vf(cols);
    copy_f_vf(cols, 1.0f, invec);

    outvec = rprf_malloc_vf(rows);

#define FUNC php_mul_mfvf_vf(rows, cols, mat, invec, outvec)

    RPRF_BODY(FUNC, rows * (cols + (cols - 1)))

    return 0;
}
